<?php defined('SYSPATH') or die('No direct script access.');
 
class Controller_Student_Index extends Controller_UserEnvironment
{
    public function action_index() {
        $student_id = $this->user['StudentID'];
        $disciplines = Model_Student::load($student_id)->getDisciplines();
        $teachers = [];

        foreach ($disciplines as $dis) {
            if (!$dis->Subtype)
                $teachers[$dis->ID] = $dis->getTeachers();

            # fixme: ExamRate is not defined in the `GetDisciplinesForStudent` function!
            $dis->ColorScheme = Model_Subject::getECTSMark($dis->Rate, $dis->MaxCurrentRate, NULL /*$dis['examRate']*/);
        }

        $this->twig->set([
            'Teachers'     => $teachers,
            'Disciplines'  => $disciplines,
            'Semester'     => $this->SemesterInfo,
            'SemesterList' => Model_Semesters::toArray(),
        ])->set_filename('student/index');
    }

    public function action_settings() {
        $this->twig->set_filename('settings');
    }
}
            
